summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO13
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD31
3 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..115bd94997a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = ply-git
+ pkgdesc = A light-weight dynamic tracer for Linux
+ pkgver = r322.aa5b9ac
+ pkgrel = 1
+ url = https://github.com/iovisor/ply
+ arch = x86_64
+ license = BSD
+ provides = ply
+ source = git+https://github.com/iovisor/ply
+ md5sums = SKIP
+
+pkgname = ply-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..001783df62c
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+pkg/
+src/
+ply/
+*.tgz
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..15653d91e15
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Matthew McGinn <mamcgi@gmail.com>
+pkgname=ply-git
+_pkgname=ply
+pkgrel=1
+pkgver=r322.aa5b9ac
+pkgdesc="A light-weight dynamic tracer for Linux"
+arch=('x86_64')
+url="https://github.com/iovisor/ply"
+license=('BSD')
+provides=('ply')
+source=("git+https://github.com/iovisor/${_pkgname}")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_pkgname}"
+ set -o pipefail
+ git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd "${_pkgname}"
+ ./autogen.sh # to generate the configure script
+ ./configure --prefix=/usr --sbindir=/usr/bin
+ make
+}
+
+package() {
+ cd "${_pkgname}"
+ make DESTDIR="${pkgdir}/" install
+}